Name:           python2-typing
Version:        3.6.2
Release:        4
Summary:        Type Hints for Python
License:        Python
URL:            https://pypi.python.org/pypi/typing
Source0:        https://files.pythonhosted.org/packages/source/t/typing/typing-%{version}.tar.gz

BuildRequires:  python2-devel python2-setuptools
BuildArch:      noarch

%description
This is a backport of the standard library typing module to Python versions older than 3.5.

Typing defines a standard notation for Python function and variable type annotations. The
notation can be used for documenting code in a concise, standard format, and it has been
designed to also be used by static and runtime type checkers, static analyzers, IDEs and
other tools.

%prep
%autosetup -n typing-%{version} -p1

%build
%{py2_build}

%install
%{py2_install}

%files
%doc LICENSE README.rst
%{python2_sitelib}/*

%changelog
* Mon Nov 25 2019 lingsheng <lingsheng@huawei.com> - 3.6.2-4
- Package init
